import request from "@/utils/request.js";

// 查询最新团购列表
export function latestGroupon(data) {
    return request.get("/v1/groupon/latest",data);
}

// 查询历史团购数据
export function historyGroupon(data) {
    return request.get("/v1/groupon/history",data);
}

// 团购详情
export function detailGroupon(data) {
    return request.get("/v1/groupon/detail",data);
}

// 商品详情接口
export function goodsDetail(data) {
    return request.get("/v1/goods/detail",data);
}

// 发布团购
export function publishGroupon(data) {
    return request.post("/v1/groupon/publish",data);
}

// 查询团购自提点
export function getGrouponSelfTakeList(data) {
    return request.get("/v1/self-take/list",data);
}

// 分页查询所有自提点
export function getAllSelfTake(data) {
    return request.get("/v1/selfTake/all", data);
}
